/*	LED.h
*
*	Game Timer LED control
*
*	See GameTimer.xls for bit setting...
*
*	Written by Cathy Saxton
*	robotics@idleloop.com
*/

#pragma once

/* note: correlates with contents of array in LED.cpp */
enum
{
	patternIdle = 0,
	patternIdleLowBatt,
	patternStartPending,
	patternStart,
	patternLast = patternStart + 12,
	patternFlash1,
	patternFlash2,
	patternBattLevelLow,
	patternBattLevelHigh = patternBattLevelLow + 11,
	patternMax
};

const uint istageMax = 6;	// 6 lines controlling LEDs (Charlieplexed), each gets a turn as low/cathode

/* a 'stage' is when one specific line is low; DDR and PORT are set to turn on
   designated LEDs that have that line on the cathode */
struct STAGE
{
	uchar ddr;
	uchar port;
};
/* for a 'pattern,' each of the LED control lines takes a turn as low */
struct EPATTERN
{
	STAGE astage[istageMax];
};


class LED
{
public:
	LED();
	void SetPattern(uchar pattern);
	void DoIdle();
	
private:
	void StartStage();
	
	EPATTERN m_epattern;
	uchar m_istage;
	ulong m_tickStart;
};
