/*	analog.h
*
*	Game Timer battery monitor and voltage control
*
*	Written by Cathy Saxton
*	robotics@idleloop.com
*/

#pragma once

enum	// Conversion Channel
{
	ccNil,
	ccBatt,
	ccVol,
};

class ANALOG
{
public:
	ANALOG();
	uchar FBattLevel(uchar *pbatt);	// value from 0-11
	uchar FBattChange(uchar *pfBattLow);
	uchar FVolChange(uchar *pvol);

private:
	uchar FGetVal(uchar cc, uchar *pb);
	
	uchar m_ccCur:4, m_ccPrev:4;
};
